List your conversions
curl --request GET \
--url https://api.georaf.com/v1/conversions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.georaf.com/v1/conversions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.georaf.com/v1/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.georaf.com/v1/conversions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.georaf.com/v1/conversions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.georaf.com/v1/conversions")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.georaf.com/v1/conversions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"conversions": [
{
"id": "conv_7b2e1f3a",
"source_upload": {
"id": "up_a1b2c3d4",
"filename": "parcels.kml",
"format": "kml",
"size_bytes": 142819,
"created_at": "2026-05-08T15:31:56Z"
},
"output_upload": {
"id": "up_d4e5f6g7",
"filename": "parcels.geojson",
"format": "geojson",
"size_bytes": 187234,
"created_at": "2026-05-08T15:32:08Z"
},
"target_format": "geojson",
"status": "completed",
"feature_count": 1843,
"created_at": "2026-05-08T15:31:56Z",
"completed_at": "2026-05-08T15:32:08Z",
"health_score": 94,
"health_report_id": "rpt_9z8y7x",
"health_total_issues": 2
}
],
"has_more": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Conversions
List your conversions
Reverse chronological. limit (1-100, default 20). after is the id of the last item from the previous page; the next call returns items strictly older. The response includes has_more.
List items omit download_url fields. Fetch a single resource (GET /v1/conversions/{id}) or use /download for the file.
List your conversions
curl --request GET \
--url https://api.georaf.com/v1/conversions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.georaf.com/v1/conversions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.georaf.com/v1/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.georaf.com/v1/conversions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.georaf.com/v1/conversions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.georaf.com/v1/conversions")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.georaf.com/v1/conversions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"conversions": [
{
"id": "conv_7b2e1f3a",
"source_upload": {
"id": "up_a1b2c3d4",
"filename": "parcels.kml",
"format": "kml",
"size_bytes": 142819,
"created_at": "2026-05-08T15:31:56Z"
},
"output_upload": {
"id": "up_d4e5f6g7",
"filename": "parcels.geojson",
"format": "geojson",
"size_bytes": 187234,
"created_at": "2026-05-08T15:32:08Z"
},
"target_format": "geojson",
"status": "completed",
"feature_count": 1843,
"created_at": "2026-05-08T15:31:56Z",
"completed_at": "2026-05-08T15:32:08Z",
"health_score": 94,
"health_report_id": "rpt_9z8y7x",
"health_total_issues": 2
}
],
"has_more": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Headers
⌘I